FLTK 1.3.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
Fl_Multiline_Output Class Reference

This widget is a subclass of Fl_Output that displays multiple lines of text. More...

`#include <Fl_Multiline_Output.H>`

Inheritance diagram for Fl_Multiline_Output:

List of all members.

## Public Member Functions
| Fl_Multiline_Output (int X, int Y, int W, int H, const char *l=0)
| Creates a new Fl_Multiline_Output widget using the given position, size, and label string.

## Detailed Description

This widget is a subclass of Fl_Output that displays multiple lines of text.

It also displays tab characters as whitespace to the next column.

Note that this widget does not support scrollbars, or per-character color control.

If you are presenting large amounts of read-only text and need scrollbars, or full color control of characters, then use Fl_Text_Display. If you want to display HTML text, use Fl_Help_View.

## Constructor & Destructor Documentation

Fl_Multiline_Output::Fl_Multiline_Output | ( | int | X,
|  | int | Y,
|  | int | W,
|  | int | H,
|  | const char * | l = `0`
| ) |  |

Creates a new Fl_Multiline_Output widget using the given position, size, and label string.

The default boxtype is FL_DOWN_BOX.

Inherited destructor destroys the widget and any value associated with it.

The documentation for this class was generated from the following files:

- Fl_Multiline_Output.H
- Fl_Input.cxx